/* File: lottery.cpp
 *
 * A program that uses the RandomBag to implement a lottery.
 */
#include <iostream>
#include "RandomBag.h"
using namespace std;

/* Constants defining the smallest and largest numbers in the
 * lottery, along with how many values should be chosen.
 */
const int kLowestNumber = 1;
const int kHighestNumber = 50;
const int kNumValuesToSample = 5;

int main() {
	/* Fill a random bag with numbers. */
	RandomBag numbers;
	for (int i = kLowestNumber; i <= kHighestNumber; i++) {
		numbers.add(i);
	}
	
	/* Choose some random values. */
	for (int i = 0; i < kNumValuesToSample; i++) {
		cout << numbers.removeRandom() << endl;	
	}
}


